##### GENERAL STUFF #####

Summary:	Command line utilities to access digital cameras
Name:		gphoto2
Version:	2.0
Release:	0.beta1.2mdk
License:	LGPL
Group:		Graphics


##### SOURCE FILES #####

Source: http://www.gphoto.net/dist/gphoto2.0beta1.tar.bz2

##### ADDITIONAL DEFINITIONS #####

Url: http://www.gphoto.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: 	libusb0.1 libgpio0
Obsoletes:	hackgphoto2
BuildRequires:	libusb0.1-devel


##### SUB-PACKAGES #####

%description

gPhoto is part of the GNU project - and is an universal, free
application and library framework that lets you download
images from several different digital camera models, including
the newer models with USB connnection. Note that for some older
camera models you must use the old "gphoto" package.

%package -n libgphoto2
Summary: Library to access to digital cameras
Requires: 	libusb0.1 libgpio0
Obsoletes:	hackgphoto2
Group:		Graphics

%description -n libgphoto2
This library contains all the functionality to access to modern digital
cameras via USB or the serial port.

%package -n libgphoto2-devel
Summary: Headers and links to compile against the "libgphoto2" library
Requires: 	libgphoto2 >= %{version}
Provides:	libgphoto-devel
Group:		Graphics

%description -n libgphoto2-devel
This package contains all files which one needs to compile programs using
the "libgphoto2" library.


##### PREP #####

%prep
rm -rf $RPM_BUILD_DIR/gphoto2
%setup -q -n gphoto2

##### BUILD #####

%build
# "autogen" is needed because we have a CVS snapshot.
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
  CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
  FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \
  %{?__libtoolize:[ -f configure.in ] && %{__libtoolize} --copy --force} ; \
./autogen.sh --prefix=%{_prefix} \
        --exec-prefix=%{_exec_prefix} \
        --bindir=%{_bindir} \
        --sbindir=%{_sbindir} \
        --sysconfdir=%{_sysconfdir} \
        --datadir=%{_datadir} \
        --includedir=%{_includedir} \
        --libdir=%{_libdir} \
        --libexecdir=%{_libexecdir} \
        --localstatedir=%{_localstatedir} \
        --sharedstatedir=%{_sharedstatedir} \
        --mandir=%{_mandir} \
        --infodir=%{_infodir} \
	--with-drivers=all
# Fix some path confusion
( cd libgphoto2_port
  mkdir -p libgphoto2_port/.libs
  cd libgphoto2_port/.libs
  ln -s ../.libs .
  cd ../../..
)
( cd libgphoto2
  mkdir -p .libs
  cd .libs
  ln -s ../.libs .
  cd ../..
)
# Fix hard-coded documentation path
perl -p -i -e "s!doc/gphoto2!share/doc/gphoto2!" Makefile
perl -p -i -e "s!doc/gphoto2!share/doc/gphoto2!" libgphoto2/Makefile

%make

##### INSTALL #####

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# Install README
cp README $RPM_BUILD_ROOT%{_docdir}/gphoto2/

##### PRE/POST INSTALL SCRIPTS #####

%post -n libgphoto2
/sbin/ldconfig

%postun -n libgphoto2
/sbin/ldconfig

##### CLEAN UP #####

%clean
rm -rf $RPM_BUILD_ROOT


##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### gphoto2
%files
%defattr(-,root,root)
%docdir %{_docdir}/gphoto2
%{_bindir}/*
%{_datadir}/*/*

##### libgphoto2
%files -n libgphoto2
%defattr(-,root,root)
%{_libdir}/*.so.*
# Here are only ".so" and no ".so.XXX" packages, so the ".so" have to be in
# the main package
%{_libdir}/gphoto2/*.so
%{_libdir}/gphoto2_port/*.so.*

##### libgphoto2-devel
%files -n libgphoto2-devel
%defattr(-,root,root)
%{_includedir}/gphoto2/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/gphoto2/*.a
%{_libdir}/gphoto2/*.la
%{_libdir}/gphoto2_port/*.so
%{_libdir}/gphoto2_port/*.a
%{_libdir}/gphoto2_port/*.la
%{_libdir}/gphoto2portConf.sh


##### CHANGELOG #####

%changelog
* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 2.0-0.beta1.2mdk
- Corrected "Requires:"

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 2.0-0.beta1.1mdk
- Initial release

